Delete CRM Status Element crm.status.delete
If you are developing integrations for Bitrix24 using AI tools (Codex, Claude Code, Cursor), connect to the MCP server so that the assistant can utilize the official REST documentation.
Scope:
crmWho can execute the method: user with CRM administrator rights
The method crm.status.delete removes a status element by its identifier.
Method Parameters
Required parameters are marked with *
|
Name |
Description |
|
id* |
Identifier of the status element to be deleted. You can obtain a list of identifiers using the method crm.status.list |
|
params |
Available flags:
|
Code Examples
How to Use Examples in Documentation
Deleting a regular element.
curl -X POST \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{"id":123}' \
https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.status.delete
curl -X POST \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{"id":123,"auth":"**put_access_token_here**"}' \
https://**put_your_bitrix24_address**/rest/crm.status.delete
try
{
const response = await $b24.callMethod(
"crm.status.delete",
{
id: 123
}
);
const result = response.getData().result;
if(result.error())
console.error(result.error());
else
console.dir(result);
}
catch(error)
{
console.error('Error:', error);
}
try {
$response = $b24Service
->core
->call(
'crm.status.delete',
[
'id' => 123,
]
);
$result = $response
->getResponseData()
->getResult();
if ($result->error()) {
error_log($result->error());
} else {
echo 'Success: ' . print_r($result->data(), true);
}
} catch (Throwable $e) {
error_log($e->getMessage());
echo 'Error deleting status: ' . $e->getMessage();
}
BX24.callMethod(
"crm.status.delete",
{
id: 123
},
function(result) {
if(result.error())
console.error(result.error());
else
console.dir(result.data());
}
);
require_once('crest.php');
$result = CRest::call(
'crm.status.delete',
[
'id' => 123
]
);
echo '<PRE>';
print_r($result);
echo '</PRE>';
Deleting a system element.
curl -X POST -H "Content-Type: application/json" -H "Accept: application/json" -d '{"id":123,"params":{"FORCED":"Y"}}' https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.status.delete
curl -X POST -H "Content-Type: application/json" -H "Accept: application/json" -d '{"id":123,"params":{"FORCED":"Y"},"auth":"**put_access_token_here**"}' https://**put_your_bitrix24_address**/rest/crm.status.delete
try
{
const response = await $b24.callMethod(
"crm.status.delete",
{
id: 123,
params: {
FORCED: "Y"
}
}
);
const result = response.getData().result;
console.dir(result);
}
catch( error )
{
console.error(error);
}
try {
$response = $b24Service
->core
->call(
'crm.status.delete',
[
'id' => 123,
'params' => [
'FORCED' => 'Y'
]
]
);
$result = $response
->getResponseData()
->getResult();
if ($result->error()) {
error_log($result->error());
echo 'Error: ' . $result->error();
} else {
echo 'Success: ' . print_r($result->data(), true);
}
} catch (Throwable $e) {
error_log($e->getMessage());
echo 'Error deleting CRM status: ' . $e->getMessage();
}
BX24.callMethod(
"crm.status.delete",
{
id: 123,
params: {
FORCED: "Y"
}
},
function(result) {
if (result.error()) {
console.error(result.error());
} else {
console.dir(result.data());
}
}
);
require_once('crest.php');
$result = CRest::call(
'crm.status.delete',
[
'id' => 123,
'params' => [
'FORCED' => 'Y'
]
]
);
echo '<PRE>';
print_r($result);
echo '</PRE>';
Response Handling
HTTP Status: 200
{
"result": true,
"time": {
"start": 1752145688.808395,
"finish": 1752145688.842539,
"duration": 0.03414416313171387,
"processing": 0.010373115539550781,
"date_start": "2025-07-10T14:08:08+02:00",
"date_finish": "2025-07-10T14:08:08+02:00",
"operating_reset_at": 1752146288,
"operating": 0
}
}
Returned Data
|
Name |
Description |
|
result |
Root element of the response, contains |
|
time |
Information about the request execution time |
Error Handling
HTTP Status: 400
{
"error": "Invalid identifier.",
"error_description": "An invalid identifier was provided."
}
|
Name |
Description |
|
error |
String error code. It may consist of digits, Latin letters, and underscores |
|
error_description |
Textual description of the error. The description is not intended to be shown to the end user in its raw form |
Possible Error Codes
|
Code |
Description |
Value |
|
|
|
No permission to perform the operation |
|
|
|
An invalid identifier was provided |
|
|
|
Element not found |
|
|
|
A system element can only be deleted with the |
|
|
|
There are related items, deletion is not possible |
|
|
|
Error while deleting the element |
Statuses and System Error Codes
HTTP Status: 20x, 40x, 50x
The errors described below may occur when calling any method.
|
Status |
Code |
Description |
|
|
|
An internal server error has occurred. Please contact the server administrator or Bitrix24 technical support |
|
|
|
An internal server error has occurred. Please contact the server administrator or Bitrix24 technical support |
|
|
|
The request intensity limit has been exceeded |
|
|
|
The current method is not permitted for calls using batch |
|
|
|
The maximum length of parameters passed to the batch method has been exceeded |
|
|
|
Invalid access token or webhook code |
|
|
|
The HTTPS protocol is required for method calls |
|
|
|
The REST API is blocked due to overload. This is a manual individual block; please contact Bitrix24 technical support to lift it |
|
|
|
The REST API is only available on commercial plans |
|
|
|
The user associated with the access token or webhook used to call the method lacks the necessary permissions |
|
|
|
The manifest is not available |
|
|
|
The request requires higher privileges than those provided by the webhook token |
|
|
|
The provided access token has expired |
|
|
|
The user does not have access to the application. This means that the application is installed, but the portal administrator has restricted access to this application to specific users only |
|
|
|
The public part of the site is closed. To open the public part of the site on an on-premise installation, disable the "Temporary closure of the public part of the site" option. Path to the setting: Desktop > Settings > Product Settings > Module Settings > Main Module > Temporary closure of the public part of the site |
Continue Learning
- Get Description of CRM Status Fields
- Get a List of Directory Items by Filter crm.status.list
- Get a directory item by ID crm.status.get
- Create CRM Status Element crm.status.add
- Update CRM Status Element `crm.status.update`